using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class SysHotel
    {
        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
        /// <summary>
        /// 酒店代码
        /// </summary>
        public virtual string Code
        {
            get;
            set;
        }
        /// <summary>
        /// 名称
        /// </summary>
        public virtual string Name
        {
            get;
            set;
        }
        /// <summary>
        /// 英文名称
        /// </summary>
        public virtual string EName
        {
            get;
            set;
        }
        /// <summary>
        /// 繁體名称
        /// </summary>
        public virtual string TWName
        {
            get;
            set;
        }
        /// <summary>
        /// 联系人
        /// </summary>
        public virtual string Contact
        {
            get;
            set;
        }
        /// <summary>
        /// 联系电话
        /// </summary>
        public virtual string Phone
        {
            get;
            set;
        }
        /// <summary>
        /// 地址
        /// </summary>
        public virtual string Address
        {
            get;
            set;
        }
        /// <summary>
        /// 排序
        /// </summary>
        public virtual int Sort
        {
            get;
            set;
        }
        /// <summary>
        /// 备注
        /// </summary>
        public virtual string Remark
        {
            get;
            set;
        }
        /// <summary>
        /// 上级部门
        /// </summary>
        public virtual int? ParentID
        {
            get;
            set;
        }
        /// <summary>
        /// 启用
        /// </summary>
        public virtual bool ActiveIndicator
        {
            get;
            set;
        }
        /// <summary>
        /// 创建人
        /// </summary>
        public virtual string CreatedBy
        {
            get;
            set;
        }
        /// <summary>
        /// 创建时间
        /// </summary>
        public virtual DateTime CreatedDate
        {
            get;
            set;
        }
        /// <summary>
        /// 修改人
        /// </summary>
        public virtual string ModifiedBy
        {
            get;
            set;
        }
        /// <summary>
        /// 修改时间
        /// </summary>
        public virtual DateTime ModifiedDate
        {
            get;
            set;
        }
        /// <summary>
        /// 微信验证
        /// </summary>
        public virtual string WXValidate
        {
            get;
            set;
        }
        /// <summary>
        /// 首页Logo路径
        /// </summary>
        public virtual string LogoPath
        {
            get;
            set;
        }
        /// <summary>
        /// 样式
        /// </summary>
        public virtual string Styles
        {
            get;
            set;
        }
        /// <summary>
        /// 关联帐号
        /// </summary>
        public virtual string AssociatedAccount
        {
            get;
            set;
        }
        /// <summary>
        /// 是否需要自动获取密钥
        /// </summary>
        public virtual bool IsAutoGetKey
        {
            get;
            set;
        }
        /// <summary>
        /// 欢迎词：插卡上电若琪提示
        /// </summary>
        public virtual string WelcomeSpeech
        {
            get;
            set;
        }

        /// <summary>
        /// 背景音乐
        /// </summary>
        public virtual string WelcomeBGM
        {
            get;
            set;
        }
        /// <summary>
        /// 离房提示：拔卡结束提示语
        /// </summary>
        public virtual string GoodbyeSpeech
        {
            get;
            set;
        }
        /// <summary>
        /// 访问域名
        /// </summary>
        public virtual string DomainUrl
        {
            get;
            set;
        }
        /// <summary>
        /// 有效日期
        /// </summary>
        public virtual DateTime ValidateDate
        {
            get;
            set;
        }
        /// <summary>
        /// 远程控制TV地址
        /// </summary>
        public virtual string TVControlUrl
        {
            get;
            set;
        }
        /// <summary>
        /// 远程控制TV Token
        /// </summary>
        public virtual string TVControlToken
        {
            get;
            set;
        }
        /// <summary>
        /// 是否需要同步PMS房态
        /// </summary>
        public virtual bool IsSyncPMS
        {
            get;
            set;
        }
        /// <summary>
        /// 设备状态推送地址
        /// </summary>
        public virtual string DeviceStatusPushURL
        {
            get;
            set;
        }
        /// <summary>
        /// 异常信息推送地址
        /// </summary>
        public virtual string FaultPushURL
        {
            get;
            set;
        }
        /// <summary>
        /// 所属分组
        /// </summary>
        public virtual SysHotelGroup SysHotelGroup
        {
            get;
            set;
        }
        /// <summary>
        /// 所属分组名称，需要遍历赋值
        /// </summary>
        public virtual string SysHotelGroupName
        {
            get;
            set;
        }
        /// <summary>
        /// 所属省份
        /// </summary>
        public virtual string ProvinceCode
        {
            get;
            set;
        }
        /// <summary>
        /// 所属城市
        /// </summary>
        public virtual string CityCode
        {
            get;
            set;
        }
        /// <summary>
        /// 所属区域
        /// </summary>
        public virtual string CountyCode
        {
            get;
            set;
        }
        /// <summary>
        /// 酒店状态：0正式运营，1批量安装，2样板间
        /// </summary>
        public virtual int Status
        {
            get;
            set;
        }
        /// <summary>
        /// 是否审核
        /// </summary>
        public virtual bool IsApprove
        {
            get;
            set;
        }
        /// <summary>
        /// 最新更新日期
        /// </summary>
        public virtual DateTime? Last_Modified_Time
        {
            get;
            set;
        }
        /// <summary>
        /// 语音取电控制
        /// </summary>
        public virtual bool IsVoincePowerOn
        {
            get;
            set;
        }
        /// <summary>
        /// 断电重置小度
        /// </summary>
        public virtual bool IsPowerOffResetXiaoDu
        {
            get;
            set;
        }
        /// <summary>
        /// 是否已删除
        /// </summary>
        public virtual bool IsDeleted
        {
            get;
            set;
        }
        /// <summary>
        /// 白天开始时间
        /// </summary>
        public virtual int StartDayTime
        {
            get;
            set;
        }
        /// <summary>
        /// 白天截止时间
        /// </summary>
        public virtual int EndDayTime
        {
            get;
            set;
        }

        public virtual bool FCSPushEnable
        {
            get;
            set;
        }

        public virtual string FCS_PropertyID { get; set; }
        public virtual string FCSLoginUrl { get; set; }
        public virtual string FCSLoginUserName { get; set; }
        public virtual string FCSLoginPassWord { get; set; }

        public virtual string FCS_Carbon_UUID { get; set; }
        public virtual string FCS_SOS_UUID { get; set; }
        public virtual string FCS_TouSu_UUID { get; set; }
        public virtual string FCS_Clean_UUID { get; set; }
        public virtual string FCS_TiSongWuPin { get; set; }
        public virtual string FCS_RCU_Device_Offline { get; set; }
        public virtual string FCS_RCU_Offline { get; set; }
        public virtual string FCS_RCU_Online { get; set; }
        public virtual string FCS_MenCi_Close { get; set; }
        public virtual string FCS_MenCi_Open { get; set; }


        public virtual bool IsUseSkyworthTV
        {
            get;
            set;
        }
        public virtual bool IsUseTCLTV
        {
            get;
            set;
        }
        /// <summary>
        /// 投诉反馈语音
        /// </summary>
        public virtual string TouSuResponseData
        {
            get;
            set;
        }
        /// <summary>
        /// 电视 前台语音授权码
        /// </summary>
        public virtual string SkyworthTVauthCode { get; set; }
        public virtual bool IsUseQianLiMa
        {
            get;
            set;
        }

        /// <summary>
        /// 是否推送PMS数据
        /// </summary>
        public virtual bool IsPushPMSData
        {
            get;
            set;
        }
        public virtual bool IsNewVersionProtocol
        {
            get;
            set;
        }

        public virtual string HeTongNumber { get; set; }
        ///// <summary>
        ///// 
        ///// </summary>
        //public virtual string TCLAppId
        //{
        //    get;
        //    set;
        //}
        ///// <summary>
        ///// 
        ///// </summary>
        //public virtual string TCLAppSecret { get; set; }
        public virtual string ETV_HotelID { get; set; }
        public virtual int SwitchRoomStatus_PowerOff2 { get; set; }
        public virtual int SwitchRoomStatus_PowerOff4 { get; set; }
        public virtual int SwitchRoomStatus_PowerOff8 { get; set; }
        public virtual int SwitchRoomStatus_PowerOff16 { get; set; }
    }
}
